Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp3d.gl20
Class GL20Const

    java.lang.Object
      de.grogra.imp3d.gl20.GL20Const

    public class GL20Const

extends java.lang.Object

Field Summary
`static int` | `ALL_CHANGED` a mask that indicates that ALL has changed
`static Matrix4d` | `identityMatrix4d` a identity matrix 4x4
`static int` | `INVALID_ID` an invalid id

Constructor Summary
`GL20Const()`

Method Summary
`static int` | `getFirstBitPosition(int value)` return the first appearance of a set bit starting at the LSB
`static boolean` | `isPowerOf2(int value)` check if a given value is a number in Power-of-2 format

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ALL_CHANGED

    public static final int ALL_CHANGED

  a mask that indicates that ALL has changed

  See Also:
    Constant Field Values

### identityMatrix4d

    public static final Matrix4d identityMatrix4d

  a identity matrix 4x4

### INVALID_ID

    public static final int INVALID_ID

  an invalid id

  See Also:
    Constant Field Values

Constructor Detail

### GL20Const

    public GL20Const()

Method Detail

### getFirstBitPosition

    public static final int getFirstBitPosition(int value)

  return the first appearance of a set bit starting at the LSB

  Parameters:
    `value` - the value that should checked
  Returns:
    `-1` no bit is set otherwise position of the first set bit

### isPowerOf2

    public static final boolean isPowerOf2(int value)

  check if a given value is a number in Power-of-2 format

  Parameters:
    `value` - number that should checked
  Returns:
    `true` given number is in Power-of-2 format `false` given number is not Power-of-2 format

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD